APIs / Google Scholar / Search
Google Scholar: Search
Search from Google Scholar as JSON. 1 credit per successful call.
GET /v1/google-scholar/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Optional | Up to 500 characters |
hl | string | Optional | Any |
start | integer | Optional | Any |
num | integer | Optional | Any |
as_ylo | integer | Optional | Any |
as_yhi | integer | Optional | Any |
scisbd | integer | Optional | 0, 1, 2 |
cites | string | Optional | Any |
cluster | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-scholar/search?q=machine+learning&hl=en&num=10&as_ylo=2020" \
-H "X-API-Key: $API_KEY"